# Class DefaultServlet.CompressionFormat

java.lang.Object
org.apache.catalina.servlets.DefaultServlet.CompressionFormat

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `DefaultServlet`

protected static class DefaultServlet.CompressionFormat extends Object implements Serializable

Author:
  Craig R. McClanahan, Remy Maucherat
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `encoding`
  `final String`
  `extension`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompressionFormat(String extension, String encoding)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### extension

    public final String extension

  - ### encoding

    public final String encoding

- ## Constructor Details

  - ### CompressionFormat

    public CompressionFormat(String extension, String encoding)